package com.lightinit.hsdataplatform.model.admin;

import com.lightinit.hsdataplatform.entity.PublishSetting;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @Author: sunxiang
 * @Date: 2018/6/4 14:56
 * @Description:
 **/
public class DataPublishDetailModel {
    private Long id;
    private Long userId;
    //////////////////////////////////////resource表///////////////////
    private String resourceName;//数据名称
    private String resourceSummary; //数据描述/摘要
    ////////////////////////////////////resource_data表//////////////////////
    private String dataItem; //数据项
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date registerDate;  //发布日期

    private Long belongTo; //所属单位   ---------->sector表
    private String belongToName;//所属单位
    private String belongToString;//所属单位
    private Long catelogTheme;
    private String dataTag; //数据标签
    private String dataFile; //数据文件
    private String demoFile; //示例文件
    private String catelogType;//主题分类
    //private String xxxx; //文件格式------------------------------>没有找到该字段

    ////////////////////////////publish_info表//////////////////////////
   /* private Long resourceId;*/
    private String resourceImg; //资源图片
    private String auditResult;//审核结果
    private String auditOpinion;//审核意见
    private String shareType; //共享类型
    private String shareCondition; //共享条件
    private String openType; //开放类型
    private String openCondition; //开放条件
    ////////////////////////////////////////publish_setting表////////////
    private List<PublishSetting> publishSettingList;

    private int param;      //用于标识“提交”和“暂存”
    private Long DeleteById;    //删除人的id

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getBelongToString() {
        return belongToString;
    }

    public void setBelongToString(String belongToString) {
        this.belongToString = belongToString;
    }

    public Date getRegisterDate() {
        return registerDate;
    }

    public void setRegisterDate(Date registerDate) {
        this.registerDate = registerDate;
    }

    public String getCatelogType() {
        return catelogType;
    }

    public void setCatelogType(String catelogType) {
        this.catelogType = catelogType;
    }

    public String getBelongToName() {
        return belongToName;
    }

    public void setBelongToName(String belongToName) {
        this.belongToName = belongToName;
    }

    public Long getDeleteById() {
        return DeleteById;
    }

    public void setDeleteById(Long deleteById) {
        DeleteById = deleteById;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public String getResourceSummary() {
        return resourceSummary;
    }

    public void setResourceSummary(String resourceSummary) {
        this.resourceSummary = resourceSummary;
    }

    public String getDataItem() {
        return dataItem;
    }

    public void setDataItem(String dataItem) {
        this.dataItem = dataItem;
    }

    public Long getBelongTo() {
        return belongTo;
    }

    public void setBelongTo(Long belongTo) {
        this.belongTo = belongTo;
    }

   /* public Long getResourceId() {
        return resourceId;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }*/

    public Long getCatelogTheme() {
        return catelogTheme;
    }

    public void setCatelogTheme(Long catelogTheme) {
        this.catelogTheme = catelogTheme;
    }

    public String getDataTag() {
        return dataTag;
    }

    public void setDataTag(String dataTag) {
        this.dataTag = dataTag;
    }

    public String getDataFile() {
        return dataFile;
    }

    public void setDataFile(String dataFile) {
        this.dataFile = dataFile;
    }

    public String getDemoFile() {
        return demoFile;
    }

    public void setDemoFile(String demoFile) {
        this.demoFile = demoFile;
    }

    public String getResourceImg() {
        return resourceImg;
    }

    public void setResourceImg(String resourceImg) {
        this.resourceImg = resourceImg;
    }

    public String getAuditResult() {
        return auditResult;
    }

    public void setAuditResult(String auditResult) {
        this.auditResult = auditResult;
    }

    public String getAuditOpinion() {
        return auditOpinion;
    }

    public void setAuditOpinion(String auditOpinion) {
        this.auditOpinion = auditOpinion;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public String getShareCondition() {
        return shareCondition;
    }

    public void setShareCondition(String shareCondition) {
        this.shareCondition = shareCondition;
    }

    public String getOpenType() {
        return openType;
    }

    public void setOpenType(String openType) {
        this.openType = openType;
    }

    public String getOpenCondition() {
        return openCondition;
    }

    public void setOpenCondition(String openCondition) {
        this.openCondition = openCondition;
    }

    public List<PublishSetting> getPublishSettingList() {
        return publishSettingList;
    }

    public void setPublishSettingList(List<PublishSetting> publishSettingList) {
        this.publishSettingList = publishSettingList;
    }

    public int getParam() {
        return param;
    }

    public void setParam(int param) {
        this.param = param;
    }
}
